//******************************************************************
// Licensed Materials - Property of IBM                             
// 5697-ENV (C) Copyright IBM Corp. 2002                            
// All rights reserved.                                             
//                                                                  
// US Government Users Restricted Rights - Use, duplication or      
// disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//******************************************************************
// Verify the form information that is submitted on the snmpcli pages.


//Strings to be translated are here:  (Translate only these strings)
var varReq = "An SNMP Variable is required";
var varValReq = "You must enter a variable and a value";
var hostPing = "You must enter a host to ping";

//end of Strings to be Translated



function Verify(){    
var doSubmit = true;                                                                                                   
var message = "";
if (document.SNMP.COMMAND.value=="SNMPGET") {
   message = varReq;
   if(document.SNMP.GETVARIABLES.value==""){   
      alert(message);
      status = "Input rejected."; 
      document.SNMP.GETVARIABLES.select();                                                  
      document.SNMP.GETVARIABLES.focus();                                                             
      doSubmit = false;
   }
} 
else if (document.SNMP.COMMAND.value=="SNMPWALK") {
   message = varReq;
   if(document.SNMP.WALKVARIABLES.value==""){ 
       alert(message);
       status = "Input rejected."; 
       document.SNMP.WALKVARIABLES.select();                                                  
       document.SNMP.WALKVARIABLES.focus();                                                             
       doSubmit = false;
   }
}
else if (document.SNMP.COMMAND.value=="SNMPGETNEXT") {
   message = varReq;
   
   if(document.SNMP.GETNEXTVARIABLES.value==""){   
       alert(message);
       status = "Input rejected."; 
       document.SNMP.GETNEXTVARIABLES.select();                                                  
       document.SNMP.GETNEXTVARIABLES.focus();                                                             
       doSubmit = false;
   }
} 
else if (document.SNMP.COMMAND.value=="SNMPGETBULK") {
   message = varReq;
   
   if(document.SNMP.GETBULKVARIABLES.value==""){   
       alert(message);
       status = "Input rejected."; 
       document.SNMP.GETBULKVARIABLES.select();                                                  
       document.SNMP.GETBULKVARIABLES.focus();                                                             
       doSubmit = false;
   }
} 
else if (document.SNMP.COMMAND.value=="SNMPBULKWALK") {
   message = varReq;
   
   if(document.SNMP.BULKWALKVARIABLES.value==""){   
       alert(message);
       status = "Input rejected."; 
       document.SNMP.BULKWALKVARIABLES.select();                                                  
       document.SNMP.BULKWALKVARIABLES.focus();                                                             
       doSubmit = false;
   }
} 




if (doSubmit== true) {                                                                                                                                      
   status = "Input accepted.";
   return doSubmit;
}
else{ 
  // alert(message); 
   return doSubmit;
}                                                                          
    




                                                                           
}


function Verify2(){    
var doSubmit = true;                                                                                                   
var message = "";

if (document.SNMP.COMMAND.value=="SNMPTRAP") {
    var found =true;
       if (((document.SNMP.TRAPVARIABLE1.value=="") && (document.SNMP.TRAPVALUE1.value!= "")) ||
           ((document.SNMP.TRAPVARIABLE1.value!="") && (document.SNMP.TRAPVALUE1.value== "")))
            {
          message = varValReq; 
          
       }
       if ((document.SNMP.TRAPVARIABLE2.value != "") && (document.SNMP.TRAPVALUE2.value != "")){
          found = true;
       }
       if (((document.SNMP.TRAPVARIABLE2.value=="") && (document.SNMP.TRAPVALUE2.value!= "")) ||
           ((document.SNMP.TRAPVARIABLE2.value!="") && (document.SNMP.TRAPVALUE2.value== "")))
            {
          message = varValReq;
       }
       if ((document.SNMP.TRAPVARIABLE3.value != "") && (document.SNMP.TRAPVALUE3.value != "")){
          found = true;
       }

       if (((document.SNMP.TRAPVARIABLE4.value=="") && (document.SNMP.TRAPVALUE4.value!= "")) ||
           ((document.SNMP.TRAPVARIABLE4.value!="") && (document.SNMP.TRAPVALUE4.value== "")))
            {
          message = varValReq;    
       }
       if ((document.SNMP.TRAPVARIABLE4.value != "") && (document.SNMP.TRAPVALUE4.value != "")){
          found = true;
       }

       if (((document.SNMP.TRAPVARIABLE5.value=="") && (document.SNMP.TRAPVALUE5.value!= "")) ||
           ((document.SNMP.TRAPVARIABLE5.value!="") && (document.SNMP.TRAPVALUE5.value== "")))
            {
          message = varValReq;    
       }
       if ((document.SNMP.TRAPVARIABLE5.value != "") && (document.SNMP.TRAPVALUE5.value != "")){
          found = true;
       }

       if (((document.SNMP.TRAPVARIABLE6.value=="") && (document.SNMP.TRAPVALUE6.value!= "")) ||
           ((document.SNMP.TRAPVARIABLE6.value!="") && (document.SNMP.TRAPVALUE6.value== "")))
            {
          message = varValReq;    
       }
       if ((document.SNMP.TRAPVARIABLE6.value != "") && (document.SNMP.TRAPVALUE6.value != "")){
          found = true;
       }

       if (((document.SNMP.TRAPVARIABLE7.value=="") && (document.SNMP.TRAPVALUE7.value!= "")) ||
           ((document.SNMP.TRAPVARIABLE7.value!="") && (document.SNMP.TRAPVALUE7.value== "")))
            {
          message = varValReq;    
       }
       if ((document.SNMP.TRAPVARIABLE7.value != "") && (document.SNMP.TRAPVALUE7.value != "")){
          found = true;
       }

       if (((document.SNMP.TRAPVARIABLE8.value=="") && (document.SNMP.TRAPVALUE8.value!= "")) ||
           ((document.SNMP.TRAPVARIABLE8.value!="") && (document.SNMP.TRAPVALUE8.value== "")))
            {
          message = varValReq;    
       }
       if ((document.SNMP.TRAPVARIABLE8.value != "") && (document.SNMP.TRAPVALUE8.value != "")){
          found = true;
       }

       if (((document.SNMP.TRAPVARIABLE9.value=="") && (document.SNMP.TRAPVALUE9.value!= "")) ||
           ((document.SNMP.TRAPVARIABLE9.value!="") && (document.SNMP.TRAPVALUE9.value== "")))
            {
          message = varValReq;    
       }
       if ((document.SNMP.TRAPVARIABLE9.value != "") && (document.SNMP.TRAPVALUE9.value != "")){
          found = true;
       }

       if (((document.SNMP.TRAPVARIABLE10.value=="") && (document.SNMP.TRAPVALUE10.value!= "")) ||
           ((document.SNMP.TRAPVARIABLE10.value!="") && (document.SNMP.TRAPVALUE10.value== "")))
            {
          message = varValReq;    
       }
       if ((document.SNMP.TRAPVARIABLE10.value != "") && (document.SNMP.TRAPVALUE10.value != "")){
          found = true;
       }
       if (message != "") {
           alert(message);
       }
} 
    
else if (document.SNMP.COMMAND.value=="SNMPSET") {

   var found = false;
   if ((document.SNMP.SETVARIABLE1.value != "") && (document.SNMP.SETVALUE1.value != "")){
      found = true;
   }

   if (((document.SNMP.SETVARIABLE1.value=="") && (document.SNMP.SETVALUE1.value!= "")) ||
       ((document.SNMP.SETVARIABLE1.value!="") && (document.SNMP.SETVALUE1.value== "")))
        {
      message = varValReq;    
   }
   if ((document.SNMP.SETVARIABLE2.value != "") && (document.SNMP.SETVALUE2.value != "")){
      found = true;
   }
   if (((document.SNMP.SETVARIABLE2.value=="") && (document.SNMP.SETVALUE2.value!= "")) ||
       ((document.SNMP.SETVARIABLE2.value!="") && (document.SNMP.SETVALUE2.value== "")))
        {
      message = varValReq;    
   }

   if ((document.SNMP.SETVARIABLE3.value != "") && (document.SNMP.SETVALUE3.value != "")){
      found = true;
   }
   if (((document.SNMP.SETVARIABLE3.value=="") && (document.SNMP.SETVALUE3.value!= "")) ||
       ((document.SNMP.SETVARIABLE3.value!="") && (document.SNMP.SETVALUE3.value== "")))
        {
      message = varValReq;    
   }


   if (((document.SNMP.SETVARIABLE4.value=="") && (document.SNMP.SETVALUE4.value!= "")) ||
       ((document.SNMP.SETVARIABLE4.value!="") && (document.SNMP.SETVALUE4.value== "")))
        {
      message = varValReq;    
   }
   if ((document.SNMP.SETVARIABLE4.value != "") && (document.SNMP.SETVALUE4.value != "")){
      found = true;
   }

   if (((document.SNMP.SETVARIABLE5.value=="") && (document.SNMP.SETVALUE5.value!= "")) ||
       ((document.SNMP.SETVARIABLE5.value!="") && (document.SNMP.SETVALUE5.value== "")))
        {
      message = varValReq;    
   }
   if ((document.SNMP.SETVARIABLE5.value != "") && (document.SNMP.SETVALUE5.value != "")){
      found = true;
   }

   if (((document.SNMP.SETVARIABLE6.value=="") && (document.SNMP.SETVALUE6.value!= "")) ||
       ((document.SNMP.SETVARIABLE6.value!="") && (document.SNMP.SETVALUE6.value== "")))
        {
      message = varValReq;    
   }
   if ((document.SNMP.SETVARIABLE6.value != "") && (document.SNMP.SETVALUE6.value != "")){
      found = true;
   }

   if (((document.SNMP.SETVARIABLE7.value=="") && (document.SNMP.SETVALUE7.value!= "")) ||
       ((document.SNMP.SETVARIABLE7.value!="") && (document.SNMP.SETVALUE7.value== "")))
        {
      message = varValReq;    
   }
   if ((document.SNMP.SETVARIABLE7.value != "") && (document.SNMP.SETVALUE7.value != "")){
      found = true;
   }

   if (((document.SNMP.SETVARIABLE8.value=="") && (document.SNMP.SETVALUE8.value!= "")) ||
       ((document.SNMP.SETVARIABLE8.value!="") && (document.SNMP.SETVALUE8.value== "")))
        {
      message = varValReq;    
   }
   if ((document.SNMP.SETVARIABLE8.value != "") && (document.SNMP.SETVALUE8.value != "")){
      found = true;
   }

   if (((document.SNMP.SETVARIABLE9.value=="") && (document.SNMP.SETVALUE9.value!= "")) ||
       ((document.SNMP.SETVARIABLE9.value!="") && (document.SNMP.SETVALUE9.value== "")))
        {
      message = varValReq;    
   }
   if ((document.SNMP.SETVARIABLE9.value != "") && (document.SNMP.SETVALUE9.value != "")){
      found = true;
   }

   if (((document.SNMP.SETVARIABLE10.value=="") && (document.SNMP.SETVALUE10.value!= "")) ||
       ((document.SNMP.SETVARIABLE10.value!="") && (document.SNMP.SETVALUE10.value== "")))
        {
      message = varValReq;    
   }
   if ((document.SNMP.SETVARIABLE10.value != "") && (document.SNMP.SETVALUE10.value != "")){
      found = true;
   }
   if ((message != "")) {
       alert(message);
   }
   if(found == false){
       alert(varValReq);
   }
       
} 
  

                                                                           
}

function Verify3(){
  if (document.SNMP.TOHOST.value== "") {
      alert(hostPing);
  }
}


